Bug 1479704 - [TEXT] Inconsistent options text in engine-setup ovn section
[TEXT] Inconsistent options text in engine-setup ovn section
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
---
All All
low Severity low (vote)
: ovirt-4.2.1
: ---
Assigned To: Marcin Mirecki
Mor
: EasyFix
Depends On: 1474413
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 04:43 EDT by Ido Rosenzwig
Modified: 2018-01-09 11:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1474413
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)

  None (edit)
Description Ido Rosenzwig 2017-08-09 04:43:11 EDT
+++ This bug was initially created as a clone of Bug #1474413 +++

Description of problem:
Create consistency among questions asked on engine-setup

Version-Release number of selected component (if applicable):
ovirt-engine-4.2.0-0.0.master.20170723141021.git463826a.el7.centos.noarch
otopi-1.7.1-0.0.master.20170720151120.git5879c4e.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. Run engine-setup without answer file

Picking up 3 specific:
Actual results:
          Configure Image I/O Proxy on this host? (Yes, No) [Yes]: 
          Configure VM Console Proxy on this host (Yes, No) [Yes]: 
          Install ovirt-provider-ovn(Yes, No) [Yes]?:


Expected results:         
          Configure Image I/O Proxy on this host (Yes, No) [Yes]: 
          Configure VM Console Proxy on this host (Yes, No) [Yes]: 
          Install ovirt-provider-ovn (Yes, No) [Yes]:

--- Additional comment from Lukas Svaty on 2017-07-24 10:55:10 EDT ---

also this message should be change:

[ INFO  ] Default OVN provider added to database

To 

[ INFO  ] Adding default OVN provider to database

Stage should inform about what is happening not about what happend as others.

--- Additional comment from Yedidyah Bar David on 2017-07-24 10:59:08 EDT ---

Moved to engine for now.

'Configure Image I/O Proxy on this host?' is in ovirt-imageio.

You might ask doc people for a thorough review.

--- Additional comment from Yedidyah Bar David on 2017-08-09 03:50:38 EDT ---

Please note that for proper tracking you probably need to clone this bug to ovirt-imageio instead of pushing patches to both projects with this single bug. Perhaps it's less important for patches to master (next version, currently 4.2) compared to stable branches.
Comment 1 Daniel Erez 2017-08-09 04:52:29 EDT
The text related to Image I/O looks correct.
Moving to ovirt-provider-ovn to address the other issue.
Comment 2 Red Hat Bugzilla Rules Engine 2017-08-09 04:52:37 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 3 Ido Rosenzwig 2017-08-09 05:04:15 EDT
IMO, the question mark at the end of the line should be removed:

From:
Configure Image I/O Proxy on this host? (Yes, No) [Yes]: 

To:
Configure Image I/O Proxy on this host (Yes, No) [Yes]:
Comment 4 Daniel Erez 2017-08-09 05:15:12 EDT
(In reply to Ido Rosenzwig from comment #3)
> IMO, the question mark at the end of the line should be removed:
> 
> From:
> Configure Image I/O Proxy on this host? (Yes, No) [Yes]: 
> 
> To:
> Configure Image I/O Proxy on this host (Yes, No) [Yes]:

I actually think it looks better with a question mark, but we indeed should keep on a single convention. Can you please open a separate bug, only for imageio component, and we'll see after a mutual phrasing is decided upon.
Comment 5 Ido Rosenzwig 2017-08-09 05:28:11 EDT
As you can see in comment #0 the bug was cloned from ovirt-engine to ovirt-imageio before you change it to ovirt-provider-ovn, so I don't really need to clone this bug again. specially, when I send a patch to fix this question mark issue which appears at the External Trackers section.

btw, the convention (that I'm familiar with) is questions to the user without question mark.
Comment 6 Daniel Erez 2017-08-09 05:42:21 EDT
(In reply to Ido Rosenzwig from comment #5)
> As you can see in comment #0 the bug was cloned from ovirt-engine to
> ovirt-imageio before you change it to ovirt-provider-ovn, so I don't really
> need to clone this bug again. specially, when I send a patch to fix this
> question mark issue which appears at the External Trackers section.
> 
> btw, the convention (that I'm familiar with) is questions to the user
> without question mark.

OK, sure. So IIUC, it's already handled by bug 1474413. Thanks!
Comment 7 Marcin Mirecki 2017-12-13 04:05:24 EST
List of changes resulting from the bug:

-'Default OVN provider added to database'
+'Adding default OVN provider to database'

-Install ovirt-provider-ovn? Please note that this will cause ....
+'Configure ovirt-provider-ovn '

'Use default credentials (%s) for '
-'ovirt-provider-ovn(@VALUES@) [@DEFAULT@]?: 
+'ovirt-provider-ovn (@VALUES@) [@DEFAULT@]:
Comment 8 Mor 2017-12-14 06:45:18 EST
Verified according to comment #7.

ovirt-engine-4.2.0.2-0.1.el7.noarch
RHV 4.2.0.2-0.1.el7

Note You need to log in before you can comment on or make changes to this bug.